<html itemscope itemtype="http://schema.org/Article">
  <head>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js"></script>
    <script>
     $(document).ready(function() {
       $('#signinButton').click(() => {
         window.location.href = 'https://accounts.google.com/o/oauth2/v2/auth?client_id=498503301951-svfdm1otcljho86hr3semffgu7fld08j.apps.googleusercontent.com&redirect_uri=http%3A%2F%2Flocalhost%3A3000%2Fv1%2Foauth%2Foauth2callback&response_type=code&scope=email+profile'
       });
       $('#myInfo').click(() => {
         $.ajax({
           url: "/v1/account",
           type:'GET',
           dataType: 'text',
           timeout:3000,
         }).done(function(data) {
           alert(data);
         }).fail(function(XMLHttpRequest, textStatus, errorThrown) {
           alert(errorThrown);
         })
       })
       $('#signoutButton').click(() => {
         $.ajax({
           url: "/v1/oauth/logout",
           type:'POST',
           dataType: 'text',
           timeout:3000,
         }).done(function(data) {
           alert('logout success');
         }).fail(function(XMLHttpRequest, textStatus, errorThrown) {
           alert(errorThrown);
         })
       })
     });
    </script>
  </head>
  <body>
    <button id="signinButton">Sign in with Google</button>
    <button id="myInfo">My Info</button>
    <button id="signoutButton">Sign out</button>
  </body>
</html>
